cURL
curl --request GET \
--url https://app.teable.ai/api/organization/%7BorganizationId%7D/department/%7BdepartmentId%7D \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'{
"id": "<string>",
"name": "<string>",
"hasChildren": true,
"parentId": "<string>",
"path": [
"<string>"
],
"pathName": [
"<string>"
]
}organization
Get organization department
GET
/
organization
/
{organizationId}
/
department
/
{departmentId}
cURL
curl --request GET \
--url https://app.teable.ai/api/organization/%7BorganizationId%7D/department/%7BdepartmentId%7D \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'{
"id": "<string>",
"name": "<string>",
"hasChildren": true,
"parentId": "<string>",
"path": [
"<string>"
],
"pathName": [
"<string>"
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Last modified on July 3, 2026
Was this page helpful?
⌘I

